<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

$idcliente  = $_GET["idcliente"];

$deletado_por  = $_SESSION['id_usuario'];



function nome_user2($id){
	

    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = '$id'";
      //echo $query_igpm; die();
             $executa_igpm = mysqli_query($db, $query_igpm) or die("erro ao selecionar cliente no banco");

                if(mysqli_num_rows($executa_igpm)){
                    while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
                   
                        $nome_cli             = $buscar_amigoc['nome_cli'];
                    }
                   // echo "nome capturado é .: " .  $nome_cli; die();

                    return $nome_cli;

                }else{
                    return false;
                }             

} 

//function que grava usuario que alterou e o que alterou
function grava_log2($data_log,$usuario_id,$nome_cli,$descricao_log){
; 
    include "conexao.php";
     $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$nome_cli','$descricao_log')";
        //echo $query_log; die();
    
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }


$nome_usuario = nome_user2($deletado_por);
$nome_cli  = $deletado_por;

date_default_timezone_set('America/Sao_Paulo');
$data_log = date('d-m-Y H:i:s');
$usuario_id = nome_user2($idcliente);


$descricao_log = "Usuário ".$nome_usuario ." excluiu o cliente: ".$usuario_id;



$executa_log = grava_log2($data_log,$usuario_id,$nome_cli,$descricao_log);



include "conexao.php";


$deleta_album = mysqli_query($db, "DELETE FROM cliente WHERE idcliente='$idcliente'");


?>
<script>
window.location ="clientes.php";
</script>